# pn_snmp_community – CLI command to create/modify/delete snmp-community

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to create SNMP communities for SNMPv1 or delete SNMP communities for SNMPv1 or modify SNMP communities for SNMPv1.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch - |  | Target switch to run the CLI on.
pn_community_string string |  | community name.

pn_community_type
string

Choices:
- read-only
- read-write

community type.

state
string / required

Choices:
- present
- absent
- update

State the action to perform. Use `present` to create snmp-community and `absent` to delete snmp-community `update` to update snmp-community.

## Examples

    - name: Create snmp community
      pn_snmp_community:
        pn_cliswitch: "sw01"
        state: "present"
        pn_community_string: "foo"
        pn_community_type: "read-write"

    - name: Delete snmp community
      pn_snmp_community:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_community_string: "foo"

    - name: Modify snmp community
      pn_snmp_community:
        pn_cliswitch: "sw01"
        state: "update"
        pn_community_string: "foo"
        pn_community_type: "read-only"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the snmp-community command.
stdout list | always | set of responses from the snmp-community command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.